# Helper functions for reading BurrTools XML files

# Reads a string from a BurrTools XML file
def getValueStr(name,line):
  lookfor = name+"="
  looklen = len(name)+2
  test0 = line.find(lookfor)
  if test0<0: return ""
  test1 = line.find('"',test0+looklen)
  if test1<0: return ""
  return line[test0+looklen:test1]

# Reads an integer from a BurrTools XML file
def getValueInt(name,line):
  return int(getValueStr(name,line))

# Reads the entire line after a string from a BurrTools XML file
def getString(name,line):
  lookfor = "<"+name
  test0 = line.find(lookfor)
  if test0<0: return ""
  test1 = line.find(">")
  lookfor = "</"+name
  test2 = line.find(lookfor)
  return line[test1+1:test2]
